import React from "react";
import {Button, Card, Col, Input, Row} from "antd";
import {BreadcumbComponent} from "../../component/BreadcumbComponent";
import {FilterOutlined, PlusSquareOutlined} from "@ant-design/icons";
import {LINKS} from "../../routes/app";

const {Search} = Input;

export const Profile = () => {
    const routeData = [
        {
            route: LINKS.HOME,
            name: "Home",
        },
        {
            route: LINKS.PROFILE,
            name: <span style={{fontWeight: 'bold'}}>Profile</span>,
        },
    ];

    return (
        <div className={["ppob-container"].join(" ")}>
            <BreadcumbComponent data={routeData}/>
            <Card>
                <Row style={{marginBottom: 20}}>
                    <Col span={12}>
                        <Button>
                            <FilterOutlined/>
                            Filter
                        </Button>
                    </Col>
                    <Col span={12} style={{textAlign: "right"}}>
                        <Search
                            placeholder="input search text"
                            style={{width: 200, marginRight: 10}}
                        />
                        <Button onClick={() => {
                        }}>
                            <PlusSquareOutlined/> New
                        </Button>
                    </Col>
                </Row>
                <div></div>
            </Card>

        </div>
    )
};
