import {Redirect, Route, Switch} from "react-router-dom";
import {Home} from "../pages/Home/Home";
import {About} from "../pages/About/About";
import {Membership} from "../pages/Membership/Membership";
import {Product} from "../pages/Product/Product";
import {Transaction} from "../pages/Transaction/Transaction";
import {Profile} from "../pages/Profile/Profile";

export const LINKS = {
    HOME: "/app/home",
    ABOUT: "/app/about",
    MEMBERSHIP: "/app/membership",
    PRODUCT: "/app/product",
    TRANSACTION: "/app/transaction",
    PROFILE: "/app/profile",
};

export const AppRoute = () => {
    return <Switch>
        <Route path={LINKS.HOME}>
            <Home/>
        </Route>
        <Route path={LINKS.MEMBERSHIP}>
            <Membership/>
        </Route>
        <Route path={LINKS.PRODUCT}>
            <Product/>
        </Route>
        <Route path={LINKS.TRANSACTION}>
            <Transaction/>
        </Route>
        <Route path={LINKS.ABOUT}>
            <About/>
        </Route>
        <Route path={LINKS.PROFILE}>
            <Profile/>
        </Route>
        <Route path="/app" exact>
            <Redirect to={LINKS.HOME}/>
        </Route>
    </Switch>
}
